/* 
 * Copyright (C) 2004  Free Software Initiative of Japan
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License version 2.1 (or later).
 *
 */

/**
 * ata_init - initialize ATA interface/device
 * 
 * Initialize ATA interface and device(s)
 * Returns 0 on success, <0 on failure.
 */
extern int ata_init (void);

/**
 * ata_fini - finalize ATA interface/device
 *
 * Initialize ATA interface and device(s)
 */
extern void ata_fini (void);

/**
 * ata_read_sectors - read sectors from ATA device
 * @dev: Device number (0: /dev/hda, 1: /dev/hdb)
 * @lba: Logical Block Address of the beginning sector
 * @buf: Buffer to store the data
 * @count: number of sectors to be read
 *
 * Read sectors into @buf
 */
extern int ata_read_sectors (int dev, unsigned int lba,
			     unsigned char *buf, int count);
