int inet_aton (const char *str, u32 *ipp);

extern void net_interface_config (u32 ip, u32 netmask);

extern int arp_resolv (struct eth_packet *p, u32 dst_ip_addr, 
		       struct eth_addr *dst_eth_addr);

extern int ping (struct eth_packet *p,
		 const struct eth_addr *dst_eth_addr,
		 u32 dst_ip_addr, int count);

struct dhcp_data {
  u32 my_ip_addr;
  u32 server_ip_addr;		/* NFS Server */
  u32 router_ip_addr;
  u32 dns;
  u32 netmask;
  u8 *server_name;		/* HTTP server */
  u8 *filename;			/* URL */
  u8 *hostname;
  u8 *rootpath;
};

extern int dhcp (struct eth_packet *p, struct dhcp_data *ddp);

extern int dns_resolv (struct eth_packet *p,
		       const struct eth_addr *dst_eth_addr, u32 server_ip_addr,
		       const char *hostname, u32 *ipp);

extern int tcp_maton (struct eth_packet *p,
		      const struct eth_addr *dst_eth_addr,
		      u32 server_ip_addr, u16 server_port,
		      u16 my_port,
		      u8 *send, int send_size,
		      u8 *receive, int receive_size);
