#ifdef __LITTLE_ENDIAN
extern inline u32 htonl (u32 v)
{
  return (v<<24)|((v&0xff00)<<8)|((v>>8)&0xff00)|(v>>24);
}

extern u16 htons (u16 v)
{
  return (v<<8)|(v>>8);
}

extern u32 ntohl (u32 v)
{
  return (v<<24)|((v&0xff00)<<8)|((v>>8)&0xff00)|(v>>24);
}

extern u16 ntohs (u16 v)
{
  return (v<<8)|(v>>8);
}
#else
extern inline u32 htonl (u32 v)
{
  return v;
}

extern u16 htons (u16 v)
{
  return v;
}

extern u32 ntohl (u32 v)
{
  return v;
}

extern u16 ntohs (u16 v)
{
  return v;
}
#endif
